[gtk-vnc] Modernize autotools. Bug #621312.
- From: Jonh Wendell <jwendell src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk-vnc] Modernize autotools. Bug #621312.
- Date: Fri, 11 Jun 2010 20:20:22 +0000 (UTC)
commit 24baab2741668b522c12eba39d5e67a1a58ddcb6
Author: Jonh Wendell <jwendell gnome org>
Date: Fri Jun 11 17:17:05 2010 -0300
Modernize autotools. Bug #621312.
Makefile.am | 2 +-
autogen.sh | 59 ++++++++-------------------------------------------------
configure.ac | 40 +++++++++++++++++++-------------------
3 files changed, 30 insertions(+), 71 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 9a8278a..bfef37f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,5 +1,5 @@
SUBDIRS = gnulib/lib src examples plugin gnulib/tests po
-ACLOCAL_AMFLAGS = -I m4 -I gnulib/m4
+ACLOCAL_AMFLAGS = -I gnulib/m4 ${ACLOCAL_FLAGS}
pkgconfig_DATA = @PACKAGE -1 0 pc gvnc-1.0.pc
pkgconfigdir = $(libdir)/pkgconfig
diff --git a/autogen.sh b/autogen.sh
index 1d2a117..2235b84 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,61 +1,20 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-set -e
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-THEDIR=`pwd`
-cd $srcdir
+PKG_NAME="gtk-vnc"
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile gtk-vnc."
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/autoconf"
- DIE=1
-}
-
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile gtk-vnc."
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/libtool"
- DIE=1
+(test -f $srcdir/src/vncconnection.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- DIE=1
- echo "You must have automake installed to compile gtk-vnc."
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/automake"
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
}
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-if test -z "$*"; then
- echo "I am going to run ./configure with --enable-compile-warnings=maximum"
- echo "If you wish to pass any extra arguments to it, please specify them on "
- echo "the $0 command line."
-fi
-
-libtoolize --copy --force
-intltoolize --force
-aclocal -I gnulib/m4
-autoheader
-automake --add-missing --copy
-autoconf
-# We use COPYING.LIB instead
-rm -f COPYING
-
-cd $THEDIR
-
-$srcdir/configure --enable-compile-warnings=maximum "$@" && {
- echo
- echo "Now type 'make' to compile gtk-vnc."
-}
+ACLOCAL_FLAGS="$ACLOCAL_FLAGS" USE_GNOME2_MACROS=1 . gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
index 60bf4e5..a228a20 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,16 +1,26 @@
-dnl Process this file with autoconf to produce a configure script.
+# gtk-vnc autoconf
-AC_INIT([gtk-vnc], [0.3.10])
+AC_PREREQ(2.65)
+
+AC_INIT([gtk-vnc],[0.4.0],[https://bugzilla.gnome.org/enter_bug.cgi?product=gtk-vnc],[gtk-vnc],[http://live.gnome.org/gtk-vnc/])
AC_CONFIG_SRCDIR([src/vncconnection.c])
-dnl Causes problems with RHEL-5 vintage intltool
-dnl AC_CONFIG_AUX_DIR([build-aux])
-AM_CONFIG_HEADER([config.h])
+AC_CONFIG_AUX_DIR([build-aux])
+AC_CONFIG_HEADERS([config.h])
+
dnl Make automake keep quiet about wildcards & other GNUmake-isms
-AM_INIT_AUTOMAKE([-Wno-portability])
+AM_INIT_AUTOMAKE([1.10 -Wno-portability])
+
+LT_PREREQ([2.2.6])
+LT_INIT([win32-dll disable-static])
+
+AC_CONFIG_MACRO_DIR([gnulib/m4])
+
+GNOME_COMPILE_WARNINGS([maximum])
+GNOME_CXX_WARNINGS([yes])
+GNOME_MAINTAINER_MODE_DEFINES
# Use the silent-rules feature when possible.
-m4_ifndef([AM_SILENT_RULES], [m4_define([AM_SILENT_RULES],[])])
-AM_SILENT_RULES([yes])
+m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
AC_CANONICAL_HOST
@@ -40,13 +50,6 @@ dnl ****************************************************************************
dnl Setup GNULIB - must be before anything else in this file
dnl *******************************************************************************
-dnl gl_INIT uses m4_foreach_w, yet that is not defined in autoconf-2.59.
-dnl In order to accommodate developers with such old tools, here's a
-dnl replacement definition.
-m4_ifndef([m4_foreach_w],
- [m4_define([m4_foreach_w],
- [m4_foreach([$1], m4_split(m4_normalize([$2]), [ ]), [$3])])])
-
gl_EARLY
gl_INIT
@@ -57,9 +60,6 @@ dnl ****************************************************************************
AC_PROG_CC_STDC
AM_PROG_CC_C_O
-AC_LIBTOOL_WIN32_DLL
-AC_PROG_LIBTOOL
-
dnl *******************************************************************************
dnl Internationalization
dnl *******************************************************************************
@@ -67,7 +67,7 @@ GETTEXT_PACKAGE=gtk-vnc
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [GETTEXT package name])
-IT_PROG_INTLTOOL([0.35.0])
+IT_PROG_INTLTOOL([0.40.0])
AM_GLIB_GNU_GETTEXT
dnl *******************************************************************************
@@ -221,7 +221,7 @@ case $with_coroutine in
gthread)
;;
*)
- AC_ERROR([Unsupported coroutine type])
+ AC_MSG_ERROR(Unsupported coroutine type)
esac
if test "$with_coroutine" = "ucontext"; then
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]